/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#include "addcoverimages.h"
#include "model/tagextension.h"

#include "aid.h"

using namespace std;

namespace Texel {

    AddCoverImages::AddCoverImages(TagModelProxy* model, const TagItem::List& selection, QObject *parent) :
            QObject(parent),
            m_Model(model),
            m_Selection(selection)
    {
    }

    void AddCoverImages::search (const TagItem::List &list)
    {
        CoverSearch::SimpleSelector::search(list, this, SLOT(newCoverImageFor(QString,QString,QImage)));
    }

    void AddCoverImages::newCoverImageFor(const QString& artist, const QString& album, const QImage& cover)
    {
        foreach (TagItem* item, m_Selection) {
            if (item->data(ColumnManager::Album,Columns::Column::RoleDisplay)==album &&
                item->data(ColumnManager::Artist,Columns::Column::RoleDisplay)==artist) {
                TagExtension* ext=item->getExtensions();
                if (ext!=0l) {
                    ext->setImage("Front Cover",cover);
                }
            }
        }
    }

}
