/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef ADDCOVERIMAGES_H
#define ADDCOVERIMAGES_H

#include <QObject>
#include <QList>

#include "model/tagmodelproxy.h"
#include "func/coversearch/toolbox.h"

namespace Texel {

    class AddCoverImages : public QObject
    {
        Q_OBJECT
    public:
        explicit AddCoverImages(TagModelProxy* model, const TagItem::List& selection, QObject *parent = 0);
        void search (const TagItem::List& list);

    signals:

    public slots:
        void newCoverImageFor(const QString& album, const QString& artist, const QImage& cover);

    private:
        TagModelProxy* m_Model;
        TagItem::List m_Selection;
    };

}

#endif // ADDCOVERIMAGES_H
