/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef COVERSEARCHWIZARD_H
#define COVERSEARCHWIZARD_H

#include <QWizard>

#include "xquerycoversearcher.h"
#include "coverselectormodel.h"

class QUrl;
class QLabel;
class QWebView;

namespace Ui {
class CoverSearchWizard;
}

namespace Texel {

namespace CoverSearch {

class CoverSearchWizard : public QWizard
{
    Q_OBJECT
    
public:
    explicit CoverSearchWizard(QWidget *parent = 0);
    ~CoverSearchWizard();
    
protected slots:
    void customButtonClicked (int which);
    void loadConfig ();
    void saveConfig ();
    void onHelpRequested ();

    // slots for page 1
    void load ();
    void load (const QString& url);
    void onUpdateUrl ();
    void onPreviewQueryChanged ();

    void testPreviewButtonClicked();
    void onPreviewXML (const QByteArray& xml);
    void onCoverXML (const QByteArray& xml);

    // slots for page 2
    void onUpdateCoverUrl ();
    void loadCoverPage ();
    void onExtractQueryChanged ();
    void onCoverImageReceived();
    void onStartLoadingCover ();

private:
    Ui::CoverSearchWizard *ui;
    XQueryCoverSearcher searcher;

    CoverSelectorModel* m_CoverModel;
    int m_CurrentCover;
    Cover* m_CoverImage;

    // Temporary
    QString m_Filename;
};

}
}

#endif // COVERSEARCHWIZARD_H
