/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.


*************************************************************************/

#ifndef DRAGANDDROPLABEL_H
#define DRAGANDDROPLABEL_H

#include <QLabel>
#include <QUrl>

namespace Texel {
    namespace CoverSearch {

        class DragAndDropLabel : public QLabel
        {
            Q_OBJECT
        public:
            explicit DragAndDropLabel(QWidget *parent = 0);

        protected:
            virtual void dragEnterEvent (QDragEnterEvent* event);
            virtual void dropEvent (QDropEvent* event);
            virtual bool event (QEvent* event);

        signals:
            void urlsToLoad (const QList<QUrl>& urls);
            void imageToLoad (const QImage& image);

        public slots:

        };
    }
}

#endif // DRAGANDDROPLABEL_H
