/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef DUPLICATEDETECTION_H
#define DUPLICATEDETECTION_H

#include <QFutureWatcher>

#include <kdialog.h>

namespace Ui
{
    class DuplicateDetection;
}

namespace Texel {

    class TagModelProxy;
    class TagItem;

    class DuplicateDetection : public KDialog
    {
        Q_OBJECT;

    public:
        DuplicateDetection(TagModelProxy* model, QList<TagItem*> toCheck, QWidget *parent = 0);
        virtual ~DuplicateDetection ();

    protected:
        void changeEvent(QEvent *e);

    private slots:
        void process ();
        void smartCancel ();
        void asyncStateChanged ();
        void finished ();

    private:
        /** This private class is used here to hide the functors defined in the cpp file.
      When having a complete asynchronous duplicate detection (which is currently not
      implemented) the private class provides the storage for the temporary objects
      used in computation. */
        class Private;
        Private* p;
    };

}

#endif // DUPLICATEDETECTION_H
