/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#include "playlistgroup.h"

#include "model/tagitem.h"
#include "model/texeltagmodel.h"

namespace Texel {

    PlaylistGroup::PlaylistGroup()
    {
    }

    PlaylistGroup::~PlaylistGroup()
    {
        // Playlists are not deleted automatically. There is a master playlist where
        // deleteAll() is called before destruction
    }

    void PlaylistGroup::removeTrack (TagItem *item)
    {
        foreach (M3U::List playlist, m_Playlists) {
            playlist.removeTrack(item);
        }
    }

    void PlaylistGroup::deleteAll ()
    {
        foreach (M3U::List list, m_Playlists) {
            list.removeFromTags();
        }

        m_Playlists.clear();
    }

    void PlaylistGroup::incDirtyCounter ()
    {
        foreach (M3U::List playlist, m_Playlists) {
            playlist.incAlteredTracks();
        }
    }

    void PlaylistGroup::decDirtyCounter ()
    {
        foreach (M3U::List playlist, m_Playlists) {
            playlist.decAlteredTracks();
        }
    }

}
