/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef PLAYLISTGROUP_H
#define PLAYLISTGROUP_H

#include <QList>
#include "func/m3u/m3ulist.h"

namespace Texel {

    class TagItem;

    class PlaylistGroup
    {
    public:
        PlaylistGroup();
        ~PlaylistGroup();

        void addPlaylist (M3U::List playlist);
        void removePlaylist (M3U::List playlist);
        QList<M3U::List> getPlaylists () const;

        void removeTrack (TagItem* item);

        void deleteAll ();
        int size () const;

        void incDirtyCounter ();
        void decDirtyCounter ();

    protected:
        QList<M3U::List> m_Playlists;
    };

    inline void PlaylistGroup::addPlaylist(M3U::List playlist)
    {
        m_Playlists << playlist;
    }

    inline void PlaylistGroup::removePlaylist(M3U::List playlist)
    {
        m_Playlists.removeOne(playlist);
    }

    inline QList<M3U::List> PlaylistGroup::getPlaylists () const
    {
        return m_Playlists;
    }

    inline int PlaylistGroup::size() const
    {
        return m_Playlists.size();
    }
}

#endif // PLAYLISTGROUP_H
