#include "searchartist.h"
#include "options/preferences.h"

#include "kio/global.h"
#include "kio/job.h"
#include "kio/jobclasses.h"

#include <kurl.h>

#include <QApplication>
#include <QNetworkAccessManager>
#include <QNetworkReply>
#include <QXmlQuery>

#include "aid.h"

namespace Texel {

namespace EchoNest {

SearchArtist::SearchArtist(QObject* parent)
    : ArtistQuery(parent)
{
}

QStringList SearchArtist::doLookup (const QString& artist)
{
    QString url = Preferences::instance()->echonest.m_URL+
            "?api_key=SOR7NR34IZXPGD4LN"
            "&format=xml"
            "&results=10"
            "&fuzzy_match=true"
            "&name="+artist;

    QStringList suggestions;
    QXmlQuery d;
    d.setFocus(QUrl(url));
    d.setQuery("/response/status/code/string()");
    QString code;
    bool isNumber;
    d.evaluateTo(&code);
    if (code.toInt(&isNumber)==0 && isNumber) {
        d.setQuery("/response/artists/artist/name/string()");
        d.evaluateTo(&suggestions);
        std::cout << "Artists: " << suggestions.join(",") << std::endl;
    }

    CheckService::CheckArtist::msleep(500);
    return suggestions;
}

}

}

#include "searchartist.moc"
