/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef TEXEL_MUSICBRAINZ_H
#define TEXEL_MUSICBRAINZ_H

#include <QTime>

#include "func/metatagservices/checkserviceartist.h"

namespace MusicBrainz {
   class WebService;
   class Query;
}

namespace Texel {

namespace CheckService {

class MusicBrainzQuery: public ArtistQuery
{
Q_OBJECT

public:
    MusicBrainzQuery(QObject* parent);
    virtual ~MusicBrainzQuery();

protected:
    virtual QStringList doLookup (const QString& artist);

private:
   MusicBrainz::WebService* w;
   MusicBrainz::Query* query;
   QTime measure;
};

}

}

#endif
