/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef TRACKWRAPPER_H
#define TRACKWRAPPER_H

#include <QString>

#include "model/tagsuggestion.h"

namespace Texel {

class MusicBrainzTagSuggestion: public TagSuggestion
{
public:
    MusicBrainzTagSuggestion (const QString& name, TagItem* referer);

    virtual QString typeName() const;
    virtual TagItemType::Type type() const;
    virtual QString suggestFilenameExtension() const;
    virtual void saveMetaTag() throw (TagItem::IOError);

    static TagItem* createTagItemFromPUID (TagItem* referer, const QString& puid);

private:
    QString m_Puid;
};

}

#endif // TRACKWRAPPER_H
