/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef PUID_H
#define PUID_H

#include <QObject>
#include <QString>
#include <QByteArray>

class KJob;

namespace KIO
{
class Job;
}

namespace Texel {

class TagItem;

class PUID: public QObject
{
    Q_OBJECT

public:
    PUID();
    ~PUID ();

    QString getPUID (TagItem* tag);

private slots:
    void onData (KIO::Job* job, const QByteArray& d);
    void onFinish (KJob* job);

private:
    QByteArray readSamplesWithSOX (const QString& filename);

    QByteArray m_Response;
};

}

#endif // PUID_H
