/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef PARSER_H
#define PARSER_H

#include <QString>
#include <QVariant>

namespace Texel {

    class ParserContext
    {
    public:
        virtual ~ParserContext();

        QString eval (const QString& input, const QVariant& context);

        virtual QString getVar (const QString& name,bool org, const QVariant& context) const=0;
        virtual bool setDependency (const QString& name, bool org, const QVariant& context)=0;

        virtual QString suggestVarName (const QString& name) const=0;

        // Functions needed for formulareditor
        static QStringList availableFunctions ();
        virtual QStringList availableVariables () const=0;
    };
}

#endif // PARSER_H
