/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef PARSERPROBLEM_H
#define PARSERPROBLEM_H

#include "model/problem.h"

namespace Texel {
   class ParserProblem: public InputProblem
   {
      Q_OBJECT

      public:
      ParserProblem (const QString& problem);
      virtual ~ParserProblem();

      virtual QString getText() const;
      void setSuggestion (const QString& input, const QString& suggestion, unsigned begin, unsigned end);
      virtual QList<QAction*> getActions ();

      virtual void setLocator (const QString locator);
      virtual QString locator() const;
      virtual bool isFormularProblem() const;

      private slots:
      void fixit ();

      private:
      QString m_Problem;
      QString m_Suggestion;
      QString m_Locator;
   };
}

#endif // PARSERPROBLEM_H
