/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#include "phrasetableview.h"
#include "phrasedelegate.h"
#include "phrasemodel.h"
#include "view/tableextension/problemawaredelegate.h"
#include "moveindicatortable.h"

#include <QTableView>

namespace Texel
{

    PhraseTableView::PhraseTableView(QWidget *parent) :
            TableEditor(parent),
            m_Model(0l)
    {
    }

    int PhraseTableView::doAppend ()
    {
        m_Model->addRow();
        return m_Model->rowCount()-1;
    }

    QAbstractItemModel* PhraseTableView::doInitModel (QWidget*) const
    {
        return m_Model;
    }

    QTableView* PhraseTableView::createTableView (QWidget* parent) const
    {
        return new MoveIndicatorTable(parent);
    }

    void PhraseTableView::setModel (PhraseModel* model)
    {
        m_Model=model;
        init();
        table()->setItemDelegate(new ProblemAwareDelegate(this));
        table()->setItemDelegateForColumn(1,new PhraseDelegate(this));
    }
}

#include "phrasetableview.moc"
