/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef PHRASEVIEW_H
#define PHRASEVIEW_H

#include <kdialog.h>

class QMenu;
class QAction;
class QAbstractItemModel;

namespace Ui {
    class PhraseView;
}

namespace Texel {

    class PhraseModel;

    class PhraseView : public KDialog
    {
        Q_OBJECT;

    public:
        PhraseView(QWidget *parent, PhraseModel* model, QMenu* menuPhrases);
        ~PhraseView();

        PhraseModel* model() const;

        void setManageAction (QAction* action);
        void rebuildPhraseMenu ();

    protected:
        virtual void changeEvent(QEvent* e);

    private slots:
        void onCancel();
        void onOK();
        void edit ();

    private:
        Ui::PhraseView *m_ui;
        QMenu* m_PhraseMenu;
        QAction* m_ManageAction;
    };

}
#endif // PHRASEVIEW_H
