/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef SEARCHPATTERNPARSER_H
#define SEARCHPATTERNPARSER_H

#include <QList>
#include <QString>

namespace Texel
{
    class TagItem;

    class SearchPatternReplacement
    {
    public:
        void process (const QString& text, const QString& searchpattern,TagItem* item);
        QList<int> getSource () const;
        QMap<QString,QString> getVariables () const;

    private:
        QList<int> source;
        QMap<QString,QString> variables;
    };

    inline QList<int> SearchPatternReplacement::getSource () const
    {
        return source;
    }

    inline QMap<QString,QString> SearchPatternReplacement::getVariables () const
    {
        return variables;
    }

}

#endif // SEARCHPATTERNPARSER_H
