#ifndef GLOBAL_EXCEPTIONS_H
#define GLOBAL_EXCEPTIONS_H

#include <stdexcept>

class application_termination: public std::logic_error
{
public:
    application_termination (int exitcode_, const char* what);
    virtual ~application_termination () throw ();

    int getExitCode () const;

private:
    int exitcode;
};

class application_initialization_termination: public application_termination
{
public:
    application_initialization_termination (int exitcode_, const char* what);
    virtual ~application_initialization_termination () throw ();
};

inline int application_termination::getExitCode () const
{
    return exitcode;
}

#endif // GLOBAL_EXCEPTIONS_H
