#ifndef UPDATETAGSJOB_H
#define UPDATETAGSJOB_H

#include <kjob.h>
#include <view/messageview.h>
#include <model/tagitem.h>

namespace Texel {

    class UpdateTagsJob: public KJob
    {
        Q_OBJECT

    public:
        UpdateTagsJob(QObject* parent);
        virtual ~UpdateTagsJob();

        void setItemsForUpdate (const TagItem::Set& items);
        void setEnforceRename (bool enforce);

        virtual void start ();

    signals:
        void updatedTag (TagItem* tag);
        void removedTag (TagItem* tag);
        void directoryToDelete (const QString& dir);
        void renameCollision (TagItem* tag, const QString& filename);
        void changeUnsavedItems (int delta);

    protected:
        virtual bool doKill ();

    private slots:
        void onFinished ();

    private:
        class Private;
        Private* m_Thread;
        friend class Private;
    };

}

#endif // UPDATETAGSJOB_H
