#ifndef MIMESUPPORT_H
#define MIMESUPPORT_H

#include "model/tagitem.h"

#include <QMimeData>
#include <QModelIndexList>
#include <QPair>
#include <QSet>

namespace Texel {

class MimeSupport: public QMimeData
{
    Q_OBJECT

public:
    typedef QPair<int,int> Index;

    MimeSupport();

    static bool hasSubFormat (const QMimeData* data,const QString& subformat);
    static bool hasItems (const QMimeData* data);

    static QString getMimeTypeForSubType (const QString& subformat);
    static QList<Index> getIndexList (const QMimeData* data, const QString& subformat);
    static TagItem::List getItemList (const QMimeData* data);
    static QList<int> getRowList (const QMimeData* data, const QString& subformat);

    void setUrls (TagItem::List items);
    void setItems (TagItem::List items);
    void setItems (const QModelIndexList& indexes, const TagModel *const model);

    void setRowList (const QModelIndexList& indexes, const QString& subtype);

    void setIndexList (QList<Index>& indexes, const QString& subtype);

    static QString s_TagItemSubFormat;

private:
    QSet<int> getRowsFromIndexes (const QModelIndexList& indexes);

    static QString s_AppSpecificMimeTemplate;
};

}

#endif // MIMESUPPORT_H
