/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#include "IOOptions.h"

IOOptions::IOOptions(QWidget *parent) :
    QWidget(parent),
    Ui::IOOptions()
{
    setupUi(this);
    kcfg_TrashCan->setMode(KFile::Directory|KFile::ExistingOnly|KFile::LocalOnly);

    // Just enable the Trashcan file selection when it is useable
    connect (kcfg_UseTrashCan, SIGNAL(toggled(bool)), kcfg_TrashCan, SLOT(setEnabled(bool)));
    kcfg_UseTrashCan->setChecked(true);
    kcfg_TrashCan->setEnabled(true);
}

IOOptions::~IOOptions()
{
}

void IOOptions::changeEvent(QEvent *e)
{
    QWidget::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        retranslateUi(this);
        break;
    default:
        break;
    }
}

#include "IOOptions.moc"
