/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#include "bhoptions.h"
#include "ui_bhoptions.h"

#include "options/preferences.h"

namespace Texel {

    BHOptions::BHOptions(QWidget *parent) :
            QWidget(parent),
            ui(new Ui::BHOptions)
    {
        ui->setupUi(this);

        // Reread the tip of day flag - must be because KTipDialog reads and write the value to
        // config file itself
        KConfigGroup texelConfig(KGlobal::config(),"TipOfDay");
        Preferences::instance()->behaviour.m_ShowTOD=texelConfig.readEntry("RunOnStart",true);
    }

    BHOptions::~BHOptions()
    {
        delete ui;
    }

    void BHOptions::changeEvent(QEvent *e)
    {
        QWidget::changeEvent(e);
        switch (e->type()) {
        case QEvent::LanguageChange:
            ui->retranslateUi(this);
            break;
        default:
            break;
        }
    }

}
