/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef COVEROPTIONS_H
#define COVEROPTIONS_H

#include <QWidget>
#include <QString>
#include <QMap>

namespace Ui {
    class CoverOptions;
}

namespace Texel {

    class CoverOptions : public QWidget
    {
        Q_OBJECT

    public:
        explicit CoverOptions(QWidget *parent = 0);
        ~CoverOptions();

    signals:
        void isDirty(bool);

    private slots:
        void onSelectCoverSource (bool checked);
        void onApply ();
        void onOpenCoverWizard ();

    protected:
        void changeEvent(QEvent *e);

    private:
        Ui::CoverOptions *ui;
        QMap<QString,bool> m_ChangedActivationCoverSource;
    };

}

#endif // COVEROPTIONS_H
