/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef ENUM_H
#define ENUM_H

#include <QFlags>
#include <Qt>

namespace Texel {
    namespace Enums {
        enum MessageTypes {
            MessageNoChange=-1,
            MessageNone=0,
            MessageInfo=3,
            MessageWarning=2,
            MessageError=1
        };

        enum DataRoles {
            RoleProblem=Qt::UserRole+100,
            RoleHighlights,
            RoleIcons
        };

        enum ProblemCategories {
            ProblemNone,
            ProblemUnknown,
            ProblemWarning,
            ProblemError
        };

        enum FilterProperty {
            FilterFormatMPEG        = (1<<0),
            FilterFormatOgg         = (1<<1),
            FilterFormatMP4         = (1<<2),
            FilterFormatFLAC        = (1<<3),
            FilterFormatTrueAudio   = (1<<4),
            FilterFormatWavPack     = (1<<5),
            FilterFormatASF         = (1<<6),
            FilterFormatRIFF        = (1<<7),

            FilterQualityStereo     = (1<<8),
            FilterQualityLow        = (1<<9),
            FilterQualityMedium     = (1<<10),
            FilterQualityHigh       = (1<<11)
        };

        Q_DECLARE_FLAGS (FilterProperties, FilterProperty);
        Q_DECLARE_OPERATORS_FOR_FLAGS (FilterProperties);
    }
}

#endif // ENUM_H
