/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#include "fileoptions.h"
#include "ui_fileoptions.h"
#include "options/preferences.h"

#include <kurlrequester.h>

FileOptions::FileOptions(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::FileOptions)
{
    ui->setupUi(this);

    ui->radioButton_2->setChecked(!Texel::Preferences::instance()->filelocs.m_UseLastDirectory);
    ui->kcfg_replacePatternFile->setMode(KFile::Files|KFile::LocalOnly);
    ui->kcfg_defaultDirectory->setMode(KFile::Directory|KFile::LocalOnly);
    ui->kcfg_defaultDirectory->setDisabled(ui->kcfg_useLastDirectory->isChecked());
}

FileOptions::~FileOptions()
{
    delete ui;
}

void FileOptions::changeEvent(QEvent *e)
{
    QWidget::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

#include "fileoptions.moc"
