/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef FILTEROPTION_H
#define FILTEROPTION_H

#include "util/widgets/tableeditor.h"

class KCharSelect;
class KConfigDialog;

namespace Texel
{
    class TextFilterModel;

    class FilterOption : public TableEditor
    {
        Q_OBJECT
    public:
        FilterOption(KConfigDialog* parent = 0);

        TextFilterModel* model ();

    public slots:
        void selectSymbol();
        void load();
        void save();
        void selectedChar (QChar c);

    private:
        virtual QAbstractItemModel* doInitModel (QWidget* parent) const;
        virtual int doAppend ();

        KCharSelect* m_CharSelector;
    };
}

#endif // FILTEROPTION_H
