#include "chunkify.h"

namespace Chunkify
{
    ChunkList chunkify (QList<int> rows)
    {
        qSort (rows);
        QList<Chunk> chunks;

        int start=-1;
        int count=1;
        foreach (int row, rows) {
            if (start==-1) {
                start=row;
                if (row==rows.last()) {
                    chunks << Chunk(start,count);
                }
            }
            else {
                if (row==rows.last() || row!=start+count) {
                    if (row==rows.last()) ++count;
                    chunks << Chunk(start,count);
                    start=-1;
                    count=1;
                }
                else {
                    ++count;
                }
            }
        }

        return chunks;
    }

    struct ChunkSearchFunctor
    {
        bool operator () (const Chunk& c1, const Chunk& c2) const
        {
            if (c1.first==c2.first) {
                return c1.second<c2.second;
            }
            return c1.first<c2.first;
        }
    };

    ChunkList mergeChunks (ChunkList chunks)
    {
        qSort (chunks.begin(),chunks.end(),ChunkSearchFunctor());

        ChunkList merged;
        int work=0;
        for (int i=1;i<chunks.size();i++) {
            if (chunks[i].first<chunks[work].second) {
                chunks[work].second=chunks[i].second;
            }
            else {
                merged << chunks[work];
                work=i;
            }
        }

        return merged;
    }

}
