/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef COMPLETIONLINEEDITOR_H
#define COMPLETIONLINEEDITOR_H

#include <klineedit.h>

#include <QStringList>

class KCompleter;

namespace Texel {

    class CompletionLineEditor : public KLineEdit
    {
        Q_OBJECT
    public:
        explicit CompletionLineEditor(QWidget *parent = 0, int maxCount=10);

    signals:

    public slots:
        void addCompletionString (const QString& string);
        void showAllCompletions ();

    private:
        KCompletion* m_Completion;
        QStringList m_InsertOrder;
        int m_MaxCount;
    };

}

#endif // COMPLETIONLINEEDITOR_H
