/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef ERRREDIRECTOR_H
#define ERRREDIRECTOR_H

#include <sstream>

namespace Texel {
    class TagModel;
    class TagItem;
}

/**
  *  This class allows a stderr redirector which catches all stderr output and sends it via emitting
  *  a signal to a source sink. The signalling takes place in the destructor therefore creating
  *  an object statically will automatically issue the catched messages on destruction.
  */
class ErrRedirector
{
public:
    ErrRedirector();
    ~ErrRedirector ();

    void setItem (Texel::TagItem* item);

private:
    std::streambuf* cerr_buffer;
    std::stringstream buf;
    Texel::TagItem* item;
};

#endif // ERRREDIRECTOR_H
