/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#if 0
#include "filesetcopy.h"

#include <kio/copyjob.h>
#include <klocale.h>

namespace Texel {

    FileSetCopy::FileSetCopy(QObject* parent)
        : QObject(parent),
          m_Processed(0)
    {
    }

    FileSetCopy::~FileSetCopy()
    {
    }

    void FileSetCopy::add (const QString &file, const QString &destDir)
    {
        DestinationMap::iterator found = m_CopySet.find(destDir);
        if (found==m_CopySet.end()) {
            found = m_CopySet.insert(destDir, FileSet());
        }
        (*found).insert(file);
    }

    void FileSetCopy::exec ()
    {
        emit displayProgress(true);
        int sum=0;
        foreach (FileSet files, m_CopySet.values()) {
            sum+=files.size();
        }
        emit numberOfFiles(sum);
        onFinished();
    }

    void FileSetCopy::onFinished()
    {
        emit alreadyProcessed(m_Processed);

        if (m_CopySet.size()>0) {
            QString destDir = m_CopySet.begin().key();
            FileSet set = *m_CopySet.begin();
            m_CopySet.erase(m_CopySet.begin());
            m_Processed+=set.size();

            KUrl::List urls;
            foreach (QString s, set) {
                urls << KUrl(s);
            }

            KIO::CopyJob* job = KIO::copy(urls,destDir,KIO::HideProgressInfo);
            job->setAutoDelete(true);
            job->setWriteIntoExistingDirectories(true);
            job->setAutoSkip(true);
            connect (job,SIGNAL(result(KJob*)), this, SLOT(onFinished()));
            emit details (i18n("Copy %1 files to directory %2",set.size(),destDir));
        }
        else {
            displayProgress(false);
            deleteLater();
        }
    }

#include "filesetcopy.moc"

}
#endif
