/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef FILESETCOPY_H
#define FILESETCOPY_H

#include <QString>
#include <QMap>
#include <QSet>

namespace Texel {

    class FileSetCopy: public QObject
    {
        Q_OBJECT

    public:
        FileSetCopy(QObject* parent);
        ~FileSetCopy();

        void add (const QString& file, const QString& destDir);

        void exec ();

        bool filesToCopy () const;

    signals:
        void numberOfFiles (int);
        void alreadyProcessed (int);
        void displayProgress (bool);
        void details (const QString&);

    private slots:
        void onFinished();

    private:
        int m_Processed;
    };

    inline bool FileSetCopy::filesToCopy() const
    {
        return !m_CopySet.isEmpty();
    }

}

#endif // FILESETCOPY_H
