/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef LOGHOOK_H
#define LOGHOOK_H

#include <util/singleton.h>
#include <options/enums.h>

#include <QString>
#include <QObject>
#include <QMetaType>

namespace Texel {

class TagItem;

class LogSignaller: public QObject
{
Q_OBJECT
public:
    LogSignaller();

signals:
    void log (Enums::MessageTypes type, const QString& message, TagItem* item);

    friend class LogHook;
};

class LogHook: public Singleton<LogHook>
{
public:
    LogHook();
    virtual ~LogHook();

    LogSignaller* getLoggerObject () const;

    void error (const QString& log, TagItem* tag);
    void warning (const QString& log, TagItem* tag);
    void message (const QString& log, TagItem* tag);

private:
    LogSignaller* m_StdLogger;
};

}

Q_DECLARE_METATYPE(Texel::Enums::MessageTypes);

#endif // LOGHOOK_H
