/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef texel_SLOWCLICKTOOLBUTTON_H
#define texel_SLOWCLICKTOOLBUTTON_H

#include <QToolButton>
#include <QPushButton>
#include <QTime>
#include <QLabel>

class QAction;

namespace Texel {

class SlowClickToolButton: public QToolButton
{
   Q_OBJECT
public:
   SlowClickToolButton (QWidget* parent);
   virtual ~SlowClickToolButton ();

   void setSlowClickAction (QAction* action);

signals:
   void slowReleased ();

protected:
   virtual void mousePressEvent (QMouseEvent* event);
   virtual void mouseReleaseEvent (QMouseEvent* event);
   virtual void timerEvent(QTimerEvent *event);

private:
   QTime m_PlayPressStart;
   int m_Timer;
   QAction* m_SlowClickAction;
};

class ClickableLabel: public QLabel
{
Q_OBJECT
public:
   ClickableLabel (QWidget* parent);
   virtual ~ClickableLabel();

signals:
   void pressed ();

protected:
   virtual void mousePressEvent (QMouseEvent* event);   
};

}

#endif
