/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef MOVEINDICATORLIST_H
#define MOVEINDICATORLIST_H

#include <QListView>

namespace Texel {

// More or less a copy of the "func/phrases/moveindicatortable.h"
// Must be defined before including the ui_player.h file
class MoveIndicatorList: public QListView
{
    Q_OBJECT

public:
    MoveIndicatorList(QWidget* parent);
    virtual ~MoveIndicatorList();

protected:
    virtual void dragMoveEvent (QDragMoveEvent* event);
    virtual void dropEvent (QDropEvent* event);
    virtual void dragEnterEvent (QDragEnterEvent* event);
    virtual void dragLeaveEvent (QDragLeaveEvent* event);
    virtual void resizeEvent (QResizeEvent* event);

private:
    void drawInsertIndicator (int h);
    QWidget* w;
    bool m_InDrag;
    QPoint m_Offset;

    bool m_SupportedFormat;
};

}

#endif
