/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef TABLEEDITOR_H
#define TABLEEDITOR_H

#include <QWidget>

class QAbstractItemModel;
class QAbstractButton;
class QTableView;
class QVBoxLayout;
class QHBoxLayout;
class QPushButton;
class QSpacerItem;

namespace Texel
{
    class TableEditor : public QWidget {
        Q_OBJECT
    public:
        TableEditor(QWidget *parent = 0);
        ~TableEditor();

        void addButton (QAbstractButton* button);
        QAbstractItemModel* model() const;

    protected slots:
        void append ();
        void remove ();

    protected:
        QTableView* table() const;
        virtual void init ();

        QAbstractButton *add_Button;
        QPushButton *remove_Button;

    private:
        void changeEvent(QEvent *e);

        virtual QAbstractItemModel* doInitModel (QWidget* parent) const;
        virtual int doAppend ();
        virtual void doRemove (int row);

        // Hardcoded UI part
        void setupUi(QWidget *TableEditor);
        void retranslateUi(QWidget *TableEditor);
        virtual QTableView* createTableView (QWidget* parent) const;

        QVBoxLayout *verticalLayout;
        QTableView *tableView;
        QHBoxLayout *buttonBar;
        QSpacerItem *horizontalSpacer;
    };

}

#endif // TABLEEDITOR_H
