#ifndef TOOLTIP_H
#define TOOLTIP_H

#include <QFrame>

class QPoint;

namespace Texel {

    class Tooltip : public QWidget
    {
        Q_OBJECT
    public:
        static void show (QWidget* tip, const QPoint& pos, const QRect& validityBox, QWidget *parent);
        static bool hasTooltip (const QWidget* owner=0);

    protected:
        explicit Tooltip(QWidget* tip, const QPoint& pos, const QRect& validityBox, QWidget *parent);
        virtual ~Tooltip();

        virtual void timerEvent(QTimerEvent *event);
        virtual void paintEvent(QPaintEvent *ev);
        virtual bool eventFilter(QObject *o, QEvent *e);

    signals:

    public slots:

    private:
        void showWidget();
        void hideWidget();
        void placeTip (const QPoint& pos);

        QWidget* m_Tooltip;
        QWidget* m_Owner;
        int m_TimerId;
        int m_Screen;
        QRect m_ToolTipBox;
        bool m_Persist;

        static Tooltip* s_Instance;
    };

}

#endif // TOOLTIP_H
