/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef XMLHIGHLIGHTER_H
#define XMLHIGHLIGHTER_H

#include <QSyntaxHighlighter>
#include <QTextCharFormat>
#include <QColor>

class XQueryParser;

class XmlHighlighter : public QSyntaxHighlighter
{
public:
	XmlHighlighter(QObject* parent);
	XmlHighlighter(QTextDocument* parent);
	XmlHighlighter(QTextEdit* parent);
	~XmlHighlighter();

protected:
	void highlightBlock(const QString& rstrText);

private:
    XQueryParser* p;

    friend class XQueryParser;
};

#endif // XMLHIGHLIGHTER_H
