/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef DIRECTORYDOCK_H
#define DIRECTORYDOCK_H

#include "basedock.h"

namespace Ui {
    class DirectoryDock;
}

class QModelIndex;
class KUrl;
class KUrlNavigator;

namespace Texel {

    class DirTree;
    class DirModel;
    class TagModelProxy;

    class DirectoryDock : public BaseDock
    {
        Q_OBJECT

    public:
        explicit DirectoryDock(QWidget *parent = 0);
        ~DirectoryDock();

        void setDirTree (DirTree* dirTree);
        void setProxyModel (TagModelProxy* model);

    protected slots:
        void onTreeClick (const QModelIndex& idx);
        void onTreeDoubleClick (const QModelIndex& idx);
        void onRootUrlChange (const KUrl& url);

    signals:
        void loadDir (const KUrl& url);

    protected:
        void changeEvent(QEvent *e);

    private:
        DirModel* getTreeModel () const;

        Ui::DirectoryDock *ui;
        TagModelProxy* m_ProxyModel;
        KUrlNavigator* m_Navi;
    };
}

#endif // DIRECTORYDOCK_H
