/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef DIRMODEL_H
#define DIRMODEL_H

#include <kdirmodel.h>

namespace Texel {

    class DirTree;

    class DirModel : public KDirModel
    {
        Q_OBJECT
    public:
        explicit DirModel(QObject *parent = 0);

        virtual int columnCount (const QModelIndex& parent = QModelIndex() ) const;
        virtual QVariant data ( const QModelIndex & index, int role = Qt::DisplayRole ) const;

        void setDirTree (DirTree* tree);
        DirTree* getDirTree () const;

        void open (const KUrl& url);

        bool isLoaded (const QModelIndex& idx) const;

    signals:

    public slots:
        void onPathStateChange(const QString& path);

    private:
        DirTree* m_Tree;
        KDirLister* m_DirLister;
    };

    inline void DirModel::setDirTree(DirTree *tree)
    {
        m_Tree=tree;
    }

    inline DirTree* DirModel::getDirTree () const
    {
        return m_Tree;
    }

}

#endif // DIRMODEL_H
