/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef DIRVIEW_H
#define DIRVIEW_H

#include <kfiletreeview.h>

#include <QModelIndex>

namespace Texel {

    class DirModel;

    class DirView : public KFileTreeView
    {
        Q_OBJECT

    public:
        DirView (QWidget* parent);

    protected:
        virtual void contextMenuEvent (QContextMenuEvent *);
    };

    class PopupActions: public QObject
    {
        Q_OBJECT

    public:
        PopupActions (QObject* parent, DirModel* model, const QString& path);
        virtual ~PopupActions ();

    private slots:
        void onRemoveDirectoryFromModel ();
        void onWriteDirectory ();
        void onReloadDirectory();
        void eraseFromDisk ();
        void moveToTrash ();
        void setWritePermission ();

    private:
        DirModel* m_Model;
        QString m_Path;
        QModelIndex m_Index;
    };

}

#endif // DIRVIEW_H
