#ifndef LOGDOCK_H
#define LOGDOCK_H

#include <view/docks/basedock.h>
#include "view/messageview.h"

namespace Ui {
class logdock;
}

namespace Texel {

class LogDock : public BaseDock
{
    Q_OBJECT
    
public:
    explicit LogDock(QWidget* parent=0, MessageModel* model=0);
    ~LogDock();

    MessageModel* model() const;

    virtual bool eventFilter (QObject* watched, QEvent* event);

public slots:
    void displayMessages ();
    void filter (const QString& text);

protected slots:
    void onDoubleClicked (const QModelIndex& parent);

private slots:
    void onSliderValue ();
    void ensureVisibilityOfLastRow ();

private:
    Ui::logdock *ui;
    bool m_AttachedAtEnd;
};

}

#endif // LOGDOCK_H
