/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#ifndef PLAYLISTDOCK_H
#define PLAYLISTDOCK_H

#include "basedock.h"

#include <QDockWidget>
#include <QModelIndex>

namespace Ui {
    class PlaylistDock;
}

class QAbstractItemModel;
class QTreeView;

namespace Texel {
    class TagModelProxy;
    class PlaylistModel;
    class TableWidget;

    class PlaylistDock : public BaseDock
    {
        Q_OBJECT

    public:
        explicit PlaylistDock(QAbstractItemModel* playlistModel, TableWidget* view, QWidget *parent = 0);
        ~PlaylistDock();

        void setModel (TagModelProxy* model);

    protected:
        void changeEvent(QEvent *e);

    private slots:
        void onDoubleClick (const QModelIndex& idx);
        void onContextMenu (const QPoint& pos);

    private:
        Ui::PlaylistDock *ui;
        TagModelProxy* m_ProxyModel;
        TableWidget* m_View;
    };

    class PlayListDockPopupMenuActions: public QObject
    {
        Q_OBJECT

    public:
        PlayListDockPopupMenuActions (const QModelIndex& idx,
                                      PlaylistModel* playlistModel,
                                      QTreeView* view,
                                      QObject* parent,
                                      const QModelIndexList& selected);

    private slots:
        void onCopyPlaylistOrder ();
        void removePlaylist ();
        void removePlaylistFromDisc ();

        void removeTrack ();
        void removeItems ();

        void save ();
        void copyNameToClipboard ();
        void copyContenttoClipboard ();
        void rename ();

    private:
        QModelIndex m_Index;
        PlaylistModel* m_PlaylistModel;
        QModelIndexList m_SelectedIndexes;
        QTreeView* m_View;
    };

}
#endif // PLAYLISTDOCK_H
