/*************************************************************************

    Texel - tagging like excel ; MP3 Tagger
    Copyright (C) 2009-2013 Jens Ketterer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

#include "formulareditor.h"
#include "ui_formulareditor.h"

#include "model/tagitem.h"

#include <QStringListModel>

namespace Texel {

FormularEditor::FormularEditor(TagItem* tag, QWidget *parent) :
    QWidget(parent),
    ui(new Ui::FormularEditor)
{
    ui->setupUi(this);

    ui->functionList->setModel (new QStringListModel(TagItem::availableFunctions(),this));
    ui->variableList->setModel (new QStringListModel(tag->availableVariables(),this));
}

FormularEditor::~FormularEditor()
{
    delete ui;
}

void FormularEditor::changeEvent(QEvent *e)
{
    QWidget::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

}

#include "formulareditor.moc"
