#include "tablelayout.h"

#include <QTextFrame>
#include <QTextTable>

#include "aid.h"

namespace Texel {

TableLayout::TableLayout()
{
}

void TableLayout::render (QTextCursor &cursor)
{
    QTextFrame* parent=cursor.currentFrame();
    cursor.insertFrame(parent->frameFormat());

    const bool hasTitle = !title.isEmpty();
    const int numCols = 2;
    const int numRows = qMax(columns[0].size(),columns[1].size())+(hasTitle?1:0);
    int offset=0;

    QTextTable* table=cursor.insertTable(numRows,numCols);

    // Render title
    if (hasTitle) {
        table->mergeCells(0,0,1,2);
        QTextTableCell cell=table->cellAt(0,0);
        cell.firstCursorPosition().insertText(title);
        ++offset;
    }

    // Render main table
    for (int col=0;col<numCols;col++) {
        for (int row=0;row<columns[col].size();row++) {
            QTextTableCell cell=table->cellAt(row+offset,col);
            cell.firstCursorPosition().insertText(columns[col][row]);
        }
    }

    cursor=parent->lastCursorPosition();
}

}
