#ifndef DESCISIONDIALOG_H
#define DESCISIONDIALOG_H

#include <QDialog>

#include "model/texeltagmodel.h"

namespace Ui {
    class DescisionDialog;
}

namespace Texel {

class TagComparer;
class DirectoryRemover;

class DescisionDialog : public QDialog
{
    Q_OBJECT

public:
    explicit DescisionDialog(TagModel* model, QWidget *parent = 0);
    ~DescisionDialog();

private slots:
    void endDirectorySearchJob ();
    void emptyDirectoryToDelete (const QString& directory);
    void addCollision (TagItem* first, const QString& filename);

protected:
    void changeEvent(QEvent *e);

private:
    bool m_KeepClass;

    Ui::DescisionDialog *ui;
    TagComparer* m_Comparer;
    DirectoryRemover* m_Remover;
};

}

#endif // DESCISIONDIALOG_H
