/*************************************************************************
*************************************************************************/

#ifndef WELCOME_H
#define WELCOME_H

#include "ui_welcome.h"

#include <QWidget>

namespace Texel {

    class TagModel;

    class Welcome : public QWidget, public Ui::Welcome
    {
        Q_OBJECT
    public:
        Welcome (QWidget *parent);
        void setCoreModel (TagModel* coreModel);

    private slots:
        void addFixedDir ();
        void addFixedList ();
        void resetButtonForDir ();
        void loadItem();
        void showUnaccessibleError();

    signals:
        void loadDir (const KUrl& dir);
        void loadList (const KUrl& list);

    protected:
        void changeEvent(QEvent *e);
        void dragEnterEvent(QDragEnterEvent* event);
        void dropEvent(QDropEvent* event);

    private:
        void resetButton (QToolButton* button);
        void configButtonForDir (QToolButton* button, const KUrl& dir);
        void resetButtonForDir  (QToolButton* button);
        void configButtonForList (QToolButton* button, const KUrl& list);

        TagModel* m_CoreModel;
    };

    inline void Welcome::setCoreModel (TagModel* coreModel)
    {
        m_CoreModel=coreModel;
    }


}

#endif // WELCOME_H
