#include "util/persistentcache.h"

#include <QString>
#include <QStringList>

#include <stdlib.h>
#include <iostream>

using namespace std;

struct PersistentCacheTester
{
    QString randomString()
    {
        const int len = random()%10+10;

        QString tmp;
        for (int i=0;i<len;i++) {
            char c = (random()%('Z'-'A'))+'A';
            tmp+=c;
        }

        return tmp;
    }

    int test ()
    {
        QMap<QString,QStringList> checker;

        cout << "Create cache" << endl;
        PersistentCache cache ("/tmp/cache",1000,1<<20);

        cout << "Start adding 20000 string lists" << endl;
        for (int i=0;i<20000;i++) {
            QStringList* list=new QStringList();
            for (int j=0;j<10;j++) *list << randomString();
            const QString key = randomString();
            cache.insert (key,list);
            checker.insert (key, *list);
            if (cache.m_MRUList.size()>1000) {
                cerr << "MRU List too big!" << endl;
            }
        }

        cout << "... start reading all" << endl;
        foreach (QString c, cache.m_Cache.keys()) {
            const QStringList* list=cache.query(c);
            if (*list!=checker[c]) {
                cout << "Different results" << endl;
            }
        }

        cout << "... done!" << endl;

        return 0;
    }
};

int main ()
{
    PersistentCacheTester tester;
    return tester.test();
}
